Skip to content
Proud to collaborate with Microsoft for Startups

docusign.notary-jurisdiction.put-notary-jurisdiction ​

Updates the jurisdiction information about a notary. The following restrictions apply: - The current user must be a notary. - The jurisdictionId path parameter must be a jurisdiction that the notary is registered for. - The jurisdictionId path parameter must match the request body's jurisdiction.jurisdictionId. The request body must have a full jurisdiction object for the jurisdiction property. The best way to do this is to use getNotaryJurisdiction to obtain the current values and update the properties you want to change. For example, assume getNotaryJurisdiction returns this: { "jurisdiction": { "jurisdictionId": "15", "name": "Iowa", "county": "", "enabled": "true", "countyInSeal": "false", "commissionIdInSeal": "true", "stateNameInSeal": "true", "notaryPublicInSeal": "true", "allowSystemCreatedSeal": "true", "allowUserUploadedSeal": "false" }, "commissionId": "123456", "commissionExpiration": "2020-08-31T07:00:00.0000000Z", "registeredName": "Bob Notary", "county": "Adams", "sealType": "system_created" } If you want to change the name of the notary from "Bob Notary" to "Robert Notary", your request body would be: { "jurisdiction": { "jurisdictionId": "15", "name": "Iowa", "county": "", "enabled": "true", "countyInSeal": "false", "commissionIdInSeal": "true", "stateNameInSeal": "true", "notaryPublicInSeal": "true", "allowSystemCreatedSeal": "true", "allowUserUploadedSeal": "false" }, "commissionId": "123456", "commissionExpiration": "2020-08-31T07:00:00.0000000Z", "registeredName": "Robert Notary", "county": "Adams", "sealType": "system_created" }

Updates the jurisdiction information about a notary.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
jurisdictionidstringYes—The ID of the jurisdiction. The following jurisdictions are supported: - 5 - California - 6 - Colorado - 9 - Florida - 10 - Georgia - 12 - Idaho - 13 - Illinois - 14 - Indiana - 15 - Iowa - 17 - Kentucky - 23 - Minnesota - 25 - Missouri - 30 - New Jersey - 32 - New York - 33 - North Carolina - 35 - Ohio - 37 - Oregon - 38 - Pennsylvania - 40 - South Carolina - 43 - Texas - 44 - Utah - 47 - Washington - 48 - West Virginia - 49 - Wisconsin - 62 - Florida Commissioner of Deeds
commissionexpirationstringNo—The expiration date of the notary's commission in format: MM/DD/YYYY.
commissionidstringNo—The notary's commission identification. This varies from jurisdiction to jurisdiction.
countystringNo—The county that the commission is valid in.
errordetailsjsonNo—This object describes errors that occur. It is only valid for responses and ignored in requests.
jurisdictionjsonNo—Describes the jurisdiction of a notary. This is read-only object.
registerednamestringNo—The registered name of the notary.
sealtypestringNo—The seal type used for this juridiction. - not_available - system_created - user_uploaded

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
jurisdictionidstringYes—The ID of the jurisdiction. The following jurisdictions are supported: - 5 - California - 6 - Colorado - 9 - Florida - 10 - Georgia - 12 - Idaho - 13 - Illinois - 14 - Indiana - 15 - Iowa - 17 - Kentucky - 23 - Minnesota - 25 - Missouri - 30 - New Jersey - 32 - New York - 33 - North Carolina - 35 - Ohio - 37 - Oregon - 38 - Pennsylvania - 40 - South Carolina - 43 - Texas - 44 - Utah - 47 - Washington - 48 - West Virginia - 49 - Wisconsin - 62 - Florida Commissioner of Deeds
commissionexpirationstringNo—The expiration date of the notary's commission in format: MM/DD/YYYY.
commissionidstringNo—The notary's commission identification. This varies from jurisdiction to jurisdiction.
countystringNo—The county that the commission is valid in.
errordetailsjsonNo—This object describes errors that occur. It is only valid for responses and ignored in requests.
jurisdictionjsonNo—Describes the jurisdiction of a notary. This is read-only object.
registerednamestringNo—The registered name of the notary.
sealtypestringNo—The seal type used for this juridiction. - not_available - system_created - user_uploaded
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/current_user/notary/jurisdictions/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/current_user/notary/jurisdictions/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.notary-jurisdiction.put-notary-jurisdiction",
  "initial_data": {
    "base_url": "value",
    "jurisdictionid": "value"
  }
}